﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLTOTS]') AND name = N'IX_DLTOTS_ReceivedDate')
BEGIN 
PRINT 'Creating index IX_DLTOTS_ReceivedDate on table DLTOTS'
CREATE NONCLUSTERED INDEX [IX_DLTOTS_ReceivedDate] ON [dbo].[DLTOTS] 
(
	[ReceivedDate] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLTOTS]') AND name = N'IX_DLTOTS_Source_SourceTranId')
BEGIN 
PRINT 'Creating index IX_DLTOTS_Source_SourceTranId on table DLTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [IX_DLTOTS_Source_SourceTranId] ON [dbo].[DLTOTS] 
(
	[Source] ASC,
	[SourceTranId] ASC
)
WHERE ([SourceTranId] IS NOT NULL)
WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLTOTS]') AND name = N'key6')
BEGIN 
PRINT 'Creating index key6 on table DLTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [key6] ON [dbo].[DLTOTS] 
(
	[RTI] ASC,
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLTOTS]') AND name = N'XDLTOTS1')
BEGIN 
PRINT 'Creating index XDLTOTS1 on table DLTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [XDLTOTS1] ON [dbo].[DLTOTS] 
(
	[DATE1] ASC,
	[TILL] ASC,
	[TIME] ASC,
	[TRAN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLTOTS]') AND name = N'XDLTOTS2')
BEGIN 
PRINT 'Creating index XDLTOTS2 on table DLTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [XDLTOTS2] ON [dbo].[DLTOTS] 
(
	[DATE1] ASC,
	[CASH] ASC,
	[TIME] ASC,
	[TILL] ASC,
	[TRAN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLTOTS]') AND name = N'XDLTOTS3')
BEGIN 
PRINT 'Creating index XDLTOTS3 on table DLTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [XDLTOTS3] ON [dbo].[DLTOTS] 
(
	[DATE1] ASC,
	[TCOD] ASC,
	[TIME] ASC,
	[TILL] ASC,
	[TRAN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLTOTS]') AND name = N'XDLTOTS4')
BEGIN 
PRINT 'Creating index XDLTOTS4 on table DLTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [XDLTOTS4] ON [dbo].[DLTOTS] 
(
	[PARK] ASC,
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLTOTS]') AND name = N'XDLTOTS5')
BEGIN 
PRINT 'Creating index XDLTOTS5 on table DLTOTS'
CREATE UNIQUE NONCLUSTERED INDEX [XDLTOTS5] ON [dbo].[DLTOTS] 
(
	[DATE1] ASC,
	[TIME] ASC,
	[TILL] ASC,
	[TRAN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'ACCT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_ACCT')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_ACCT on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_ACCT] DEFAULT ((0)) FOR [ACCT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'VOID' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_VOID')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_VOID on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_VOID] DEFAULT ((0)) FOR [VOID]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'TMOD' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_TMOD')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_TMOD on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_TMOD] DEFAULT ((0)) FOR [TMOD]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'PROC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_PROC')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_PROC on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_PROC] DEFAULT ((0)) FOR [PROC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'SUSE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_SUSE')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_SUSE on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_SUSE] DEFAULT ((0)) FOR [SUSE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'AUPD' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_AUPD')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_AUPD on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_AUPD] DEFAULT ((0)) FOR [AUPD]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'BACK' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_BACK')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_BACK on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_BACK] DEFAULT ((0)) FOR [BACK]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'ICOM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_ICOM')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_ICOM on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_ICOM] DEFAULT ((0)) FOR [ICOM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'IEMP' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_IEMP')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_IEMP on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_IEMP] DEFAULT ((0)) FOR [IEMP]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'PARK' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_PARK')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_PARK on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_PARK] DEFAULT ((0)) FOR [PARK]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'PKRC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_PKRC')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_PKRC on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_PKRC] DEFAULT ((0)) FOR [PKRC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'REMO' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_REMO')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_REMO on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_REMO] DEFAULT ((0)) FOR [REMO]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'RTI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_RTI')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_RTI on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_RTI] DEFAULT ('') FOR [RTI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLTOTS' AND COLUMN_NAME = 'ReceivedDate' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLTOTS_ReceivedDate')
BEGIN 
    PRINT 'Creating default constraint DF_DLTOTS_ReceivedDate on table DLTOTS' 
    ALTER TABLE [dbo].[DLTOTS]
    ADD CONSTRAINT [DF_DLTOTS_ReceivedDate] DEFAULT (getdate()) FOR [ReceivedDate]
END 
GO

